﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VSS2XGUI
{
    class ProfilerTimer
    {
        string mFunctionName;
        DateTime mStartDate;
        DateTime mEndDate;

        long TickCount = 0;

        public ProfilerTimer(string FunctionName)
        {
            Start(FunctionName);
        }

        public void Start()
        {
            mStartDate = DateTime.UtcNow;
            System.Diagnostics.Trace.WriteLine(mFunctionName + "(START): " + mStartDate.ToString("hh:mm:ss.FFF"));
        }

        public void Start(string FunctionName)
        {
            mFunctionName = FunctionName;
            Start();
        }

        public void Stop()
        {
            mEndDate = DateTime.UtcNow;
            TickCount = mEndDate.Ticks - mStartDate.Ticks;
            System.Diagnostics.Trace.WriteLine(mFunctionName + "(STOP): " + TickCount.ToString() + " Ticks (" + mStartDate.ToString("hh:mm:ss.FFF") + ", " + mEndDate.ToString("hh:mm:ss.FFF") + ")");
        }

    }
}
